package com.fjhx.victoriatourist.entity.jd.vo;

import com.fjhx.victoriatourist.entity.jd.po.JdOrderDetails;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 京东订单明细列表查询返回值实体
 *
 * @author
 * @since 2023-04-20
 */
@Getter
@Setter
public class JdOrderDetailsVo extends JdOrderDetails {

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 产品自定义编码
     */
    private String productCustomCode;


    /**
     * 增加仓库id
     */
    private Long addWarehouseId;
    /**
     * 增加库存数量
     */
    private BigDecimal addQuantity;
    /**
     * 减少仓库id
     */
    private Long reduceWarehouseId;
    /**
     * 减少库存数量
     */
    private BigDecimal reduceQuantity;


}
